Magick++ 7.1.0

Public Member Functions | List of all members
Magick::PathLinetoAbs Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::PathLinetoAbs:
[legend]
Collaboration diagram for Magick::PathLinetoAbs:
[legend]

## Public Member Functions
| PathLinetoAbs (const Magick::Coordinate &coordinate_)
| PathLinetoAbs (const CoordinateList &coordinates_)
| PathLinetoAbs (const PathLinetoAbs &original_)
| ~PathLinetoAbs (void)
void | operator() (MagickCore::DrawingWand *context_) const
VPathBase * | copy () const
Public Member Functions inherited from Magick::VPathBase
| VPathBase (void)
virtual | ~VPathBase (void)

## Detailed Description

Definition at line 2923 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ PathLinetoAbs() [1/3]

Magick::PathLinetoAbs::PathLinetoAbs | ( | const Magick::Coordinate & | coordinate_ | ) |

Definition at line 2320 of file Drawable.cpp.

## ◆ PathLinetoAbs() [2/3]

Magick::PathLinetoAbs::PathLinetoAbs | ( | const CoordinateList & | coordinates_ | ) |

Definition at line 2324 of file Drawable.cpp.

## ◆ PathLinetoAbs() [3/3]

Magick::PathLinetoAbs::PathLinetoAbs | ( | const PathLinetoAbs & | original_ | ) |

Definition at line 2328 of file Drawable.cpp.

## ◆ ~PathLinetoAbs()

Magick::PathLinetoAbs::~PathLinetoAbs | ( | void |  | ) |

Definition at line 2333 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::VPathBase * Magick::PathLinetoAbs::copy | ( |  | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 2344 of file Drawable.cpp.

## ◆ operator()()

void Magick::PathLinetoAbs::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 2336 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp